<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:13 CEST 2014 -->
<title>AbstractCacheManager.CompositeCacheable</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractCacheManager.CompositeCacheable";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractCacheManager.CompositeCacheable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/DBCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html" target="_top">Frames</a></li>
<li><a href="AbstractCacheManager.CompositeCacheable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_fr.inria.alpage.frmgcm.utils.AbstractCacheManager.Cacheable">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.utils</div>
<h2 title="Class AbstractCacheManager.CompositeCacheable" class="title">Class AbstractCacheManager.CompositeCacheable</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">fr.inria.alpage.frmgcm.utils.AbstractCacheManager.Cacheable</a></li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.utils.AbstractCacheManager.CompositeCacheable</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">AbstractCacheManager.CompositeCacheable</span>
extends <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a></pre>
<div class="block">Instances of this class is used to embed LARGE data for caching purpose (by automatically creating multiple cache segments)</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html#cacheParts">cacheParts</a></strong></code>
<div class="block">List of <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><code>AbstractCacheManager.Cacheable</code></a> object that were created to represent this composite object</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html#COMPOSITE_CACHEABLE_MARKUP">COMPOSITE_CACHEABLE_MARKUP</a></strong></code>
<div class="block">The data content that will indicate that this cache object if a composite cache</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html#COMPOSITE_CACHEABLE_PART">COMPOSITE_CACHEABLE_PART</a></strong></code>
<div class="block">The string that will be appended to the key for cache part objects</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.utils.AbstractCacheManager.Cacheable">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;fr.inria.alpage.frmgcm.utils.<a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#data">data</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html#AbstractCacheManager.CompositeCacheable()">AbstractCacheManager.CompositeCacheable</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html#AbstractCacheManager.CompositeCacheable(com.mongodb.BasicDBList,%20java.lang.Object,%20int,%20int)">AbstractCacheManager.CompositeCacheable</a></strong>(com.mongodb.BasicDBList&nbsp;data,
                                       java.lang.Object&nbsp;key,
                                       int&nbsp;maxSize,
                                       int&nbsp;expirationTime)</code>
<div class="block">Default constructor only use BasicDBList (array) in entry</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_fr.inria.alpage.frmgcm.utils.AbstractCacheManager.Cacheable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;fr.inria.alpage.frmgcm.utils.<a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getdata()">getdata</a>, <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getexpirationDate()">getexpirationDate</a>, <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getkey()">getkey</a>, <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#isExpired()">isExpired</a>, <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#setdata(java.lang.Object)">setdata</a>, <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#setexpirationDate(java.util.Date)">setexpirationDate</a>, <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#setkey(java.lang.Object)">setkey</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="COMPOSITE_CACHEABLE_MARKUP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSITE_CACHEABLE_MARKUP</h4>
<pre>public static final&nbsp;java.lang.String COMPOSITE_CACHEABLE_MARKUP</pre>
<div class="block">The data content that will indicate that this cache object if a composite cache</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.utils.AbstractCacheManager.CompositeCacheable.COMPOSITE_CACHEABLE_MARKUP">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COMPOSITE_CACHEABLE_PART">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPOSITE_CACHEABLE_PART</h4>
<pre>public static final&nbsp;java.lang.String COMPOSITE_CACHEABLE_PART</pre>
<div class="block">The string that will be appended to the key for cache part objects</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.utils.AbstractCacheManager.CompositeCacheable.COMPOSITE_CACHEABLE_PART">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="cacheParts">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cacheParts</h4>
<pre>public&nbsp;com.mongodb.BasicDBList cacheParts</pre>
<div class="block">List of <a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><code>AbstractCacheManager.Cacheable</code></a> object that were created to represent this composite object</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractCacheManager.CompositeCacheable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AbstractCacheManager.CompositeCacheable</h4>
<pre>public&nbsp;AbstractCacheManager.CompositeCacheable()</pre>
</li>
</ul>
<a name="AbstractCacheManager.CompositeCacheable(com.mongodb.BasicDBList, java.lang.Object, int, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractCacheManager.CompositeCacheable</h4>
<pre>public&nbsp;AbstractCacheManager.CompositeCacheable(com.mongodb.BasicDBList&nbsp;data,
                                       java.lang.Object&nbsp;key,
                                       int&nbsp;maxSize,
                                       int&nbsp;expirationTime)</pre>
<div class="block">Default constructor only use BasicDBList (array) in entry</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>data</code> - the BasicDBList of items to cache</dd><dd><code>key</code> - the key to identify the object in cache</dd><dd><code>maxSize</code> - the max size of chunks of data per cache part</dd><dd><code>expirationTime</code> - the expiration time expressed in minutes</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractCacheManager.CompositeCacheable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/DBCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html" target="_top">Frames</a></li>
<li><a href="AbstractCacheManager.CompositeCacheable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods_inherited_from_class_fr.inria.alpage.frmgcm.utils.AbstractCacheManager.Cacheable">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
